﻿/* BEGIN CENTER MODAL ( Source: https://stackoverflow.com/a/24829651 ) */

.vertical-alignment-helper {
    display:table;
    height: 100%;
    width: 100%;
    /*pointer-events:none; /* This makes sure that we can still click outside of the modal to close it */
}
.vertical-align-center {
    /* To center vertically */
    display: table-cell;
    vertical-align: middle;
    pointer-events:none;
}
.modal-content {
    /* Bootstrap sets the size of the modal in the modal-dialog class, we need to inherit it */
    width:inherit;
    height:inherit;
    /* To center horizontally */
    margin: 0 auto;
    pointer-events: all;
}

/* END CENTER MODAL */

.modal-body-md {
    min-height: 100px;
    max-height: 250px;
    overflow-y: auto;
    overflow-x: hidden;
}

.modal-body-lg {
    min-height: 200px;
    max-height: 500px;
    overflow-y: auto;
    overflow-x: hidden;
}